/*
 * DESCRIPTION:
 * window.c header.
*/

#pragma once

#include <SDL2/SDL.h>
#include "../COMMON.h"

typedef struct Window
{
	SDL_Window* sdl;
	ivec2 expectedSize;
} Window;

void window_init(Window* self, char* name, ivec2 size, u32 flags);
void window_free(Window* self);
void window_ivec4_get(Window* self, ivec4 size);
void window_size_get(Window* self, ivec2 size);

